Subject: [spring] SRV6 OAM (USP SID)

From: Rajesh M <[email-masked]>
Date: Mon, 14 Sep 2020 09:36:07 +0000

When ingress pings a USP SID, at the egress below code is executed.

4.16.2<https://tools.ietf.org/html/draft-ietf-spring-srv6-network-programming-18#section-4.16.2>.  USP: Ultimate Segment Pop of the SRH

   The SRH processing of the End, End.X and End.T behaviors are

   modified: the instructions S02-S04 are substituted by the following

   ones:

 S02.     If (Segments Left == 0) {

 S03.1.      Update the Next Header field in the preceding header to the

                Next Header value of the SRH

 S03.2.      Decrease the IPv6 header Payload Length by the Hdr Ext Len

                value of the SRH

 S03.3.      Remove the SRH from the IPv6 extension header chain

 S03.4.      Proceed to process the next header in the packet

 S04.     }

May be we should explicitly state here "if next header is Upper layer header then execute section 4.1.1"

Juniper Business Use Only

---

From: Rajesh M <[email-masked]>
Date: Mon, 14 Sep 2020 23:54:01 +0000

Please respond.

Juniper Business Use Only
From: spring <[email-masked]> On Behalf Of Rajesh M
Sent: Monday, September 14, 2020 3:06 PM
To: Zafar Ali (zali) <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; Pablo Camarillo (pcamaril) <[email-masked]>
Cc: G. Sri Karthik Goud <[email-masked]>; SPRING WG <[email-masked]>; Deepti Rathi <[email-masked]>
Subject: [spring] SRV6 OAM (USP SID)

[External Email. Be cautious of content]

4.16.2<https://urldefense.com/v3/__https:/tools.ietf.org/html/draft-ietf-spring-srv6-network-programming-18*section-4.16.2__;Iw!!NEt6yMaO-gk!UT4dirKx2wi2cm4xC2Xe7EpNCxBtMb0Mu-IVKyBHraSsbA0csQIVsPIh1bky1485$>.  USP: Ultimate Segment Pop of the SRH

   ones:

                value of the SRH

 S04.     }

---

From: "G. Sri Karthik Goud" <[email-masked]>
Date: Tue, 15 Sep 2020 00:27:09 +0000

Reframing the question:

  *   Does the draft(oam/network programming) talk about supporting OAM functionality for END/END.X sids with USP/PSP flag set?
  *   If it does, can you please point out to the relevant portion? Why isn't it explicitly stated like it is for USD and other END.D* Sids?

Juniper Business Use Only
From: Rajesh M <[email-masked]>
Sent: Monday, September 14, 2020 4:54 PM
To: Zafar Ali (zali) <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; Pablo Camarillo (pcamaril) <[email-masked]>
Cc: G. Sri Karthik Goud <[email-masked]>; SPRING WG <[email-masked]>; Deepti Rathi <[email-masked]>
Subject: RE: SRV6 OAM (USP SID)

Please respond.

Juniper Business Use Only
From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Rajesh M
Sent: Monday, September 14, 2020 3:06 PM
To: Zafar Ali (zali) <[email-masked]<mailto:[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; Pablo Camarillo (pcamaril) <[email-masked]<mailto:[email-masked]>>
Cc: G. Sri Karthik Goud <[email-masked]<mailto:[email-masked]>>; SPRING WG <[email-masked]<mailto:[email-masked]>>; Deepti Rathi <[email-masked]<mailto:[email-masked]>>
Subject: [spring] SRV6 OAM (USP SID)

   ones:

                value of the SRH

 S04.     }

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Tue, 15 Sep 2020 02:03:55 +0000

Hi Rajesh,

The extension header chain is processed as defined in RFC8200. If you get to the upper layer header, it is indeed processed as per section 4.1.1.

This is no different than any other behavior, hence there is no reason to call this out explicitly on this one and not the others.

Thanks

Regards … Zafar

From: Rajesh M <[email-masked]>
Date: Monday, September 14, 2020 at 5:36 AM
To: "Zafar Ali (zali)" <[email-masked]>, "Ketan Talaulikar (ketant)" <[email-masked]>, "Pablo Camarillo (pcamaril)" <[email-masked]>
Cc: "G. Sri Karthik Goud" <[email-masked]>, Deepti Rathi <[email-masked]>, SPRING WG <[email-masked]>
Subject: SRV6 OAM (USP SID)

   ones:

                value of the SRH

 S04.     }

May be we should explicitly state here “if next header is Upper layer header then execute section 4.1.1”

---

From: Rajesh M <[email-masked]>
Date: Tue, 15 Sep 2020 02:33:00 +0000

Thanks Zafar. Got the clarification.

Juniper Business Use Only
From: Zafar Ali (zali) <[email-masked]>
Sent: Tuesday, September 15, 2020 7:34 AM
To: Rajesh M <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; Pablo Camarillo (pcamaril) <[email-masked]>
Cc: G. Sri Karthik Goud <[email-masked]>; Deepti Rathi <[email-masked]>; SPRING WG <[email-masked]>; Zafar Ali (zali) <[email-masked]>
Subject: Re: SRV6 OAM (USP SID)

Hi Rajesh,

Thanks

Regards ... Zafar

From: Rajesh M <[email-masked]<mailto:[email-masked]>>
Date: Monday, September 14, 2020 at 5:36 AM
To: "Zafar Ali (zali)" <[email-masked]<mailto:[email-masked]>>, "Ketan Talaulikar (ketant)" <[email-masked]<mailto:[email-masked]>>, "Pablo Camarillo (pcamaril)" <[email-masked]<mailto:[email-masked]>>
Cc: "G. Sri Karthik Goud" <[email-masked]<mailto:[email-masked]>>, Deepti Rathi <[email-masked]<mailto:[email-masked]>>, SPRING WG <[email-masked]<mailto:[email-masked]>>
Subject: SRV6 OAM (USP SID)

4.16.2<https://urldefense.com/v3/__https:/tools.ietf.org/html/draft-ietf-spring-srv6-network-programming-18*section-4.16.2__;Iw!!NEt6yMaO-gk!RcF1Y8RgzO6o_65yFKZX_B33HEbOQsaZfu7h0LBCAsohnWI7gSG2aKz8uXEnarAr$>.  USP: Ultimate Segment Pop of the SRH

   ones:

                value of the SRH

 S04.     }